@echo off 
if not exist \Emu\ep128\ep128emu.exe goto EmulatorFail

set BuildFile=%1
set BuildPath=%2
if exist \utils\SelectedBuildFile.bat call \utils\SelectedBuildFile.bat 

cd %BuildPath%
if not %BuildPath:~0,1%==%CD:~0,1% goto InvalidPath

\Utils\Vasm\vasmZ80_OldStyle_win32.exe %BuildFile% -chklabels -nocase -Dvasm=1  -L \BldENT\Listing.txt -DBuildENT=1 -Fbin -o "\BldENT\program.com"


rem  -gbz80 -Fbin -o "z:\BldMSX\boot.bin" -L Z:\RelGB\Listing.txt
if not "%errorlevel%"=="0" goto Abandon
copy "\BldENT\program.com" "\BldENT\start"
cd \
\Utils\BuildScripts\ENT_File.bat

goto Abandon


:InvalidPath
echo Error: ASM file must be on same drive as devtools 
echo File: %BuildPath%\%BuildFile% 
echo Devtools Drive: %CD:~0,1% 
goto Abandon


:EmulatorFail
echo Error: Can't find \Emu\ep128\ep128emu.exe
:Abandon
if "%3"=="nopause" exit
pause